%define upstream_name    Gtk2-MozEmbed
%define upstream_version 0.08

%if %{?xulrunner_libname:0}%{?!xulrunner_libname:1}
%define xulrunner_libname libxulrunner
%endif

%define subrel 4

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Perl module for the Gecko engine
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires: glib2-devel
BuildRequires: gtk+2-devel
BuildRequires: perl-devel 
BuildRequires: perl-ExtUtils-Depends 
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Gtk2 >= 1.081
BuildRequires: xulrunner-devel

# ensure we link/requires the right browser:
BuildConflicts: mozilla-devel

Requires: perl-Gtk2 
Requires: %xulrunner_libname

%description
This package adds perl support for the Gecko engine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc examples/*
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog

* Mon Apr 23 2012 luigiwalser <luigiwalser> 0.80.0-10.4.mga1
+ Revision: 232767
- rebuild with xulrunner 10.0.4

  + dmorgan <dmorgan>
    - Rebuild with FF 10.0.1
    - Rebuild against FF 10.0
    - Rebuild against New xulrunner

* Sat May 07 2011 ahmad <ahmad> 0.80.0-10.mga1
+ Revision: 95870
- Rebuild against new xulrunner2.0.1

* Mon Jan 24 2011 jquelin <jquelin> 0.80.0-9.mga1
+ Revision: 36796
- fix buildrequires
- mageia rebuild
- imported package perl-Gtk2-MozEmbed

